package com.ym.mec.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hgw
 * Created by 2022-02-24
 */
public class RoomUserInfoVo extends BaseRoomUserVo implements Serializable  {

    private Integer tenantId;

    //累计观看时长
    private Integer totalViewTime;

    //首次进入时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstJoinTime;

    //动态观看直播时间  主播每次开启直播后更新
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dynamicLookTime;

    public Integer getTotalViewTime() {
        return totalViewTime;
    }

    public void setTotalViewTime(Integer totalViewTime) {
        this.totalViewTime = totalViewTime;
    }

    public Date getFirstJoinTime() {
        return firstJoinTime;
    }

    public void setFirstJoinTime(Date firstJoinTime) {
        this.firstJoinTime = firstJoinTime;
    }

    public Date getDynamicLookTime() {
        return dynamicLookTime;
    }

    public void setDynamicLookTime(Date dynamicLookTime) {
        this.dynamicLookTime = dynamicLookTime;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

}